Started calculate disk usage of build Finished Calculation of disk usage of build in 0 seconds Started calculate disk usage of workspace Finished Calculation of disk usage of workspace in 0 seconds [INFO] [INFO] ------------------------------------------------------------------------ [INFO] Building org.overture.ide.plugins.poviewer 2.7.5-SNAPSHOT [INFO] ------------------------------------------------------------------------ [INFO] [INFO] --- tycho-packaging-plugin:0.25.0:build-qualifier (default-build-qualifier) @ org.overture.ide.plugins.poviewer --- [INFO] The project's OSGi version is 2.7.5.202007010939 [TASKS] Scanning folder '/var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer' for files matching the pattern '**/*.java' - excludes: [TASKS] Found 7 files to scan for tasks Found 0 open tasks. [TASKS] Computing warning deltas based on reference build #248 [INFO] [INFO] --- tycho-packaging-plugin:0.25.0:validate-id (default-validate-id) @ org.overture.ide.plugins.poviewer --- [INFO] [INFO] --- tycho-packaging-plugin:0.25.0:validate-version (default-validate-version) @ org.overture.ide.plugins.poviewer --- [INFO] [INFO] --- maven-enforcer-plugin:1.0:enforce (enforce-maven) @ org.overture.ide.plugins.poviewer --- [INFO] [INFO] --- jacoco-maven-plugin:0.7.6.201602180812:prepare-agent (jacoco-initialize) @ org.overture.ide.plugins.poviewer --- [INFO] argLine set to -javaagent:/var/lib/jenkins/workspace/overture-development/.repository/org/jacoco/org.jacoco.agent/0.7.6.201602180812/org.jacoco.agent-0.7.6.201602180812-runtime.jar=destfile=/var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/coverage-reports/jacoco-unit.exec,excludes=**/org/overture/ast/analysis/**/*.*:**/org/overture/ast/expressions/**/*.*:**/org/overture/ast/modules/**/*.*:**/org/overture/ast/node/**/*.*:**/org/overture/ast/patterns/**/*.*:**/org/overture/ast/statements/**/*.*:**/org/overture/ast/types/**/*.*:**/org/overture/codegen/ir/**/*:**/org/overture/ide/**/* [INFO] [INFO] --- maven-dependency-plugin:2.10:copy (copy-dependencies) @ org.overture.ide.plugins.poviewer --- [INFO] Configured Artifact: org.overturetool.core:pog:2.7.5-SNAPSHOT:jar [INFO] Copying pog-2.7.5-SNAPSHOT.jar to /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/jars/pog.jar [INFO] [INFO] --- maven-resources-plugin:2.7:resources (default-resources) @ org.overture.ide.plugins.poviewer --- [INFO] Using 'UTF-8' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/src/main/resources [INFO] [INFO] --- tycho-compiler-plugin:0.25.0:compile (default-compile) @ org.overture.ide.plugins.poviewer --- [INFO] Compiling 7 source files to /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/classes [INFO] [INFO] --- maven-resources-plugin:2.7:testResources (default-testResources) @ org.overture.ide.plugins.poviewer --- [INFO] Using 'UTF-8' encoding to copy filtered resources. [INFO] skip non existing resourceDirectory /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/src/test/resources [INFO] [INFO] --- target-platform-configuration:0.25.0:target-platform (default-target-platform) @ org.overture.ide.plugins.poviewer --- [INFO] [INFO] --- tycho-packaging-plugin:0.25.0:package-plugin (default-package-plugin) @ org.overture.ide.plugins.poviewer --- [INFO] Building jar: /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT.jar [INFO] [INFO] --- tycho-p2-plugin:0.25.0:p2-metadata-default (default-p2-metadata-default) @ org.overture.ide.plugins.poviewer --- [INFO] [INFO] --- jacoco-maven-plugin:0.7.6.201602180812:report (jacoco-site) @ org.overture.ide.plugins.poviewer --- [INFO] Skipping JaCoCo execution due to missing execution data file:/var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/coverage-reports/jacoco-unit.exec [INFO] [INFO] --- maven-jarsigner-plugin:1.2:sign (sign) @ org.overture.ide.plugins.poviewer --- [INFO] 1 archive(s) processed [INFO] [INFO] --- maven-javadoc-plugin:2.10.3:jar (attach-javadocs) @ org.overture.ide.plugins.poviewer --- [INFO] Skipping javadoc generation [INFO] [INFO] --- maven-install-plugin:2.5.2:install (default-install) @ org.overture.ide.plugins.poviewer --- [INFO] Installing /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT.jar to /var/lib/jenkins/workspace/overture-development/.repository/org/overturetool/ide/plugins/org.overture.ide.plugins.poviewer/2.7.5-SNAPSHOT/org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT.jar [INFO] Installing /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/pom.xml to /var/lib/jenkins/workspace/overture-development/.repository/org/overturetool/ide/plugins/org.overture.ide.plugins.poviewer/2.7.5-SNAPSHOT/org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT.pom [INFO] Installing /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/p2content.xml to /var/lib/jenkins/workspace/overture-development/.repository/org/overturetool/ide/plugins/org.overture.ide.plugins.poviewer/2.7.5-SNAPSHOT/org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT-p2metadata.xml [INFO] Installing /var/lib/jenkins/workspace/overture-development/ide/plugins/poviewer/target/p2artifacts.xml to /var/lib/jenkins/workspace/overture-development/.repository/org/overturetool/ide/plugins/org.overture.ide.plugins.poviewer/2.7.5-SNAPSHOT/org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT-p2artifacts.xml [INFO] [INFO] --- tycho-p2-plugin:0.25.0:update-local-index (default-update-local-index) @ org.overture.ide.plugins.poviewer --- [INFO] 'org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT-p2artifacts.xml' will not be deployed due to the defined include-exclude patterns. [INFO] 'org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT.jar' will not be deployed due to the defined include-exclude patterns. [INFO] 'org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT-p2metadata.xml' will not be deployed due to the defined include-exclude patterns. [INFO] 'org.overture.ide.plugins.poviewer-2.7.5-SNAPSHOT.pom' will not be deployed due to the defined include-exclude patterns.